Vulnerabilidad en KitKat por fallo con Wi-Fi Direct

A través de WiFi Direct se pueden compartir archivos entre dos dispositivos utilizando una red WiFi. Esta red WiFi es creada entre ambos terminales, por lo tanto, la transferencia no necesita pasar por el router; sin embargo, se puso al descubierto una vulnerabilidad que provoca reinicios en los terminales Android.

apertura-wifi-direct

El inconveniente se presenta ya que la forma de Android para administrar la conexión Wi-Fi Direct, parece no ser la adecuada provocando que los terminales se reinicien al intentar conectarse a otros dispositivos como smartphones, cámaras, consolas, impresoras, entre otros.

La vulnerabilidad puede generar que algunos dispositivos pasen a un estado de denegación de servicio.

Google no ha especificado si se va a resolver el inconveniente y el fallo fue clasificado como de “bajo nivel” ya que es algo que ocurre solo cuando el dispositivo esta en busqueda de otros dispositivos.

Aunque para Google las consecuencias parecen ser mínimas, es un error que debería ser solucionado rápidamente ya que muchos de los usuarios Android tienen KitKat.

Cuéntanos si ya experimentaste este error con tu dispositivo Android